# InsCode IDE 简介

InsCode IDE 是由 [InsCode](https://inscode.net) 和华为云 [CodeArts](https://www.huaweicloud.com/product/codeartside.html) 联合开发的 AI 跨平台集成开发环境，旨在为开发者提供高效、便捷的编程体验。

InsCode IDE 将 AI 编程能力深入集成到开发环境中，帮助开发者更快地编写代码、调试程序、优化性能，从而提高开发效率。

## AI 功能

### 生成代码

InsCode IDE 支持在编辑器内，通过嵌入式 AI 对话框，实现代码生成。开发者可以输入自然语言描述，AI 会自动生成相应的代码，帮助开发者快速完成编程任务。

![生成代码](https://cdn-static-devbit.csdn.net/inscodeai/generate.png)

### 代码补全

InsCode IDE 在您编写代码时，会在光标位置提供代码补全建议，按 Tab 接受代码补全建议，支持单行和多行代码补全。

![代码补全](https://cdn-static-devbit.csdn.net/inscodeai/tab.png)

### 智能问答

智能问答允许用户通过自然对话与 InsCode IDE 互动，以应对编程领域的多种挑战，如代码解析、语法指导、优化建议、编写测试案例等。这项服务可用于代码理解、bug修复、代码生成等多种编程相关的需求。

![智能问答](https://cdn-static-devbit.csdn.net/inscodeai/chat.png)

### 解释代码

InsCode IDE 具备快速解释代码的能力，能够帮助开发者快速理解代码逻辑，提高开发效率。

![智能问答](https://cdn-static-devbit.csdn.net/inscodeai/explain.png)

### 添加注释

InsCode IDE 具备快速添加代码注释的能力，支持在任意代码文件中快速添加注释，提升代码可读性。注释可以是中文或英文。

![智能问答](https://cdn-static-devbit.csdn.net/inscodeai/comment.png)

### 生成单元测试

InsCode IDE 可以为您的代码生成单元测试用例，帮您快速验证代码的准确性，提高代码的测试覆盖率和质量。

![智能问答](https://cdn-static-devbit.csdn.net/inscodeai/test.png)

### 修复错误

InsCode IDE 可以分析您的代码，提供出修改建议，帮助您修复代码中的错误。

![智能问答](https://cdn-static-devbit.csdn.net/inscodeai/fix.png)

## IDE 特性

### 轻松编辑、构建和调试

InsCode IDE 的核心是一个快速的源代码编辑器，非常适合日常使用。InsCode IDE 支持多种语言，通过语法高亮、括号匹配、自动缩进、框选、代码片段等功能，帮助您提高开发效率。直观的键盘快捷键和易于定制的功能让您轻松地浏览代码。

InsCode IDE 提供代码补全、代码导航、代码重构以及交互调试器，因此您可以逐步查看源代码、检查变量、查看调用堆栈，并在控制台中执行命令。InsCode IDE 与构建和脚本工具集成，以执行常见任务，从而加快日常工作流程。InsCode IDE 还支持 Git，您可以在不离开代码编辑器的情况下使用源代码版本控制功能。

### 自定义 InsCode IDE

通过丰富的设置和众多扩展，您可以根据自己的喜好自定义每个功能。虽然大多数情况下无需配置即可立即使用，但 InsCode IDE 也会随着您的发展而成长，我们鼓励您根据自己独特的需求优化您的体验。

### 语言和框架支持

InsCode IDE 内置了强大的 Java 语言支持和编码辅助功能。此外，它还为 JavaScript 和 TypeScript 的 Web 开发提供了丰富的内置支持，为HTML、CSS、SCSS 和 JSON 等 Web 技术也提供了出色的工具支持。

### 强大且可扩展的体系结构

在架构上，InsCode IDE 结合了 Web、本地和特定语言技术的优势。InsCode IDE 通过 Electron 将 JavaScript、Node.js 等 Web 技术与本地应用程序相结合。InsCode IDE 采用了工具服务架构，使其能够与许多技术进行集成，包括 TypeScript、调试引擎等。InsCode IDE 允许开发人员构建和使用扩展，并且可以定制他们自己的编辑-构建-调试体验。

